Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CardanEulerSingularityException, ConvergenceException, DerivativeException, DimensionMismatchException, DuplicateSampleAbscissaException, EstimationException, EventException, FunctionEvaluationException, IntegratorException, MathConfigurationException, NotARotationMatrixException, NotPositiveDefiniteMatrixException, NotSymmetricMatrixException

    public class MathException

extends java.lang.Exception

Base class for commons-math checked exceptions.

Supports nesting, emulating JDK 1.4 behavior if necessary.

Adapted from .

Version:
  $Revision: 822850 $ $Date: 2009-10-07 14:56:42 -0400 (Wed, 07 Oct 2009) $
See Also:
  Serialized Form

Field Summary
`private java.lang.Object[]` | `arguments` Arguments used to build the message.
`private java.lang.String` | `pattern` Pattern used to build the message.
`private static long` | `serialVersionUID` Serializable version identifier.

Constructor Summary
`MathException()` Constructs a new `MathException` with no detail message.
`MathException(java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `MathException` with specified formatted detail message.
`MathException(java.lang.Throwable rootCause)` Constructs a new `MathException` with specified nested `Throwable` root cause.
`MathException(java.lang.Throwable rootCause, java.lang.String pattern, java.lang.Object... arguments)` Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause.

Method Summary
`java.lang.Object[]` | `getArguments()` Gets the arguments used to build the message of this throwable.
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessage(java.util.Locale locale)` Gets the message in a specified locale.
`java.lang.String` | `getPattern()` Gets the pattern used to build the message of this throwable.
`void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream out)` Prints the stack trace of this exception to the specified stream.
`private static java.lang.String` | `translate(java.lang.String s, java.util.Locale locale)` Translate a string to a given locale.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

### pattern

    private final java.lang.String pattern

  Pattern used to build the message.

### arguments

    private final java.lang.Object[] arguments

  Arguments used to build the message.

Constructor Detail

### MathException

    public MathException()

  Constructs a new `MathException` with no detail message.

### MathException

    public MathException(java.lang.String pattern,
                         java.lang.Object... arguments)

  Constructs a new `MathException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments

### MathException

    public MathException(java.lang.Throwable rootCause)

  Constructs a new `MathException` with specified nested `Throwable` root cause.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.

### MathException

    public MathException(java.lang.Throwable rootCause,
                         java.lang.String pattern,
                         java.lang.Object... arguments)

  Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

Method Detail

### translate

    private static java.lang.String translate(java.lang.String s,
                                              java.util.Locale locale)

  Translate a string to a given locale.

  Parameters:
    `s` - string to translate
    `locale` - locale into which to translate the string
  Returns:
    translated string or original string for unsupported locales or unknown strings

### getPattern

    public java.lang.String getPattern()

  Gets the pattern used to build the message of this throwable.

  Returns:
    the pattern used to build the message of this throwable
  Since:
    1.2

### getArguments

    public java.lang.Object[] getArguments()

  Gets the arguments used to build the message of this throwable.

  Returns:
    the arguments used to build the message of this throwable
  Since:
    1.2

### getMessage

    public java.lang.String getMessage(java.util.Locale locale)

  Gets the message in a specified locale.

  Parameters:
    `locale` - Locale in which the message should be translated
  Returns:
    localized message
  Since:
    1.2

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Prints the stack trace of this exception to the specified stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `out` - the `PrintStream` to use for output

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation